commit: 8fe213f891dd7a0014374e0d0200e2907d6cb6d2
Author: Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 29 22:08:39 2017 +0000
Commit: Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Tue Aug 29 22:08:58 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8fe213f8
sys-libs/libunwind: re-apply 1.2 ia64 patches on 1.2.1
Fixes build failure on ia64.
Package-Manager: Portage-2.3.8, Repoman-2.3.3
sys-libs/libunwind/libunwind-1.2.1.ebuild | 4 ++++
1 file changed, 4 insertions(+)
diff --git a/sys-libs/libunwind/libunwind-1.2.1.ebuild
b/sys-libs/libunwind/libunwind-1.2.1.ebuild
index 636eaa471a5..fb9461f14a9 100644
--- a/sys-libs/libunwind/libunwind-1.2.1.ebuild
+++ b/sys-libs/libunwind/libunwind-1.2.1.ebuild
@@ -44,10 +44,14 @@ MULTILIB_WRAPPED_HEADERS=(
PATCHES=(
"${FILESDIR}"/${PN}-1.2-coredump-regs.patch #586092
+ "${FILESDIR}"/${PN}-1.2-ia64-undwarf.patch
+ "${FILESDIR}"/${PN}-1.2-ia64-ptrace-coredump.patch
+ "${FILESDIR}"/${PN}-1.2-ia64-missing.patch
)
src_prepare() {
default
+ chmod +x src/ia64/mk_cursor_i || die
# Since we have tests disabled via RESTRICT, disable building in the
subdir
# entirely. This worksaround some build errors too. #484846
sed -i -e '/^SUBDIRS/s:tests::' Makefile.in || die